Loading...
Searching...
No Matches
water.h File Reference

Water rendering - CWater class. More...

`#include "graphics/engine/particle.h"`
Include dependency graph for water.h:

## Classes

class | Gfx::CWater
| Water manager/renderer. More...
struct | Gfx::CWater::WaterLine
| Water strip. More...
struct | Gfx::CWater::WaterVapor
| Water particle effect. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | Gfx::WaterType { Gfx::WATER_NULL = 0 , Gfx::WATER_TT = 1 , Gfx::WATER_TO = 2 , Gfx::WATER_CT = 3 , Gfx::WATER_CO = 4 }
| Mode of water display. More...

## Detailed Description

Water rendering - CWater class.